[gs-devel] pswrite and NOPLATFONTS

phfaist phfaist at gmail.com
Tue Jul 15 10:26:01 UTC 2014


> > Could I rely on epswrite or will it also be
> > removed in the future?
> 
> It has been removed already.  It's now eps2write.
> There is no support in Ghostscript for Level 1 Postscript any more.

Bad news indeed.

> From looking at the commit logs and the release notes over the course
> of the last several releases it's clear that pswrite and epswrite were
> long-slated for deprecation and removal.  What's not clear is *why* they
> were abandoned.  So I don't have the answer to your question, and I am
> curious to know the answer, too.
> 
> > How is old software now supposed to work which were relying on
> > pswrite for PS exports?
> 
> ... or even old Level 1 Postscript printers.  Or anyone who wanted to
> produce extremely-portable Postscript output.

I'm frankly quite surprised that the ghostscript developers removed the
pswrite and epswrite devices. A quick search for 'gs "Unknown device:
pswrite"' gives a number of results also related to some pretty major
software, meaning those devices were still being used. Are the ghostscript
developers aware of this? I would be very interested to hear their account,
as perhaps I'm missing something. Again, in my case I can't just replace
pswrite with ps2write, because the latter doesn't outline fonts.

I'm currently considering bundling a freezed version of ghostscript 9.07
with my software to make sure I can produce simple postscript with
outlined fonts. (My program is open-source GPL, I assume I can do this?)
Any other alternative I'm missing?

Many thanks,
Philippe




--
View this message in context: http://gs-devel.2343457.n2.nabble.com/pswrite-and-NOPLATFONTS-tp7572727p7572908.html
Sent from the gs-devel mailing list archive at Nabble.com.


More information about the gs-devel mailing list